%def_disable static
%def_enable shared
%def_disable rpath
%def_with pic

%def_enable ogg123
%def_enable oggdec
%def_enable oggenc
%def_enable ogginfo
%def_enable vcut
%def_enable vorbiscomment
%def_with flac
%def_with speex

%def_disable testing

Name: vorbis-tools
Version: 1.2.0
Release: alt3
Summary: Ogg Vorbis Tools
Summary(uk_UA.CP1251):  Ogg Vorbis
Summary(ru_RU.CP1251):  Ogg Vorbis
License: %gpl2only
Group: Sound
URL: http://www.vorbis.com/
Source: http://downloads.xiph.org/releases/vorbis/%name-%version.tar
Patch0: %name-1.2.0-configure.patch
# Patch1: https://trac.xiph.org/attachment/ticket/1347/vorbis-tools-1.2.0-sec.patch?format=raw
Patch1: %name-1.2.0-sec.patch
Patch2: %name-1.2.0-alt.patch

# Automatically added by buildreq on Mon Mar 17 2008
#BuildRequires: gcc-c++ libao-devel libcurl-devel libflac-devel libspeex-devel libvorbis-devel

BuildRequires: libogg-devel >= 1.0 libvorbis-devel >= 1.0.1
%if_enabled ogg123
BuildRequires: libao-devel libcurl-devel
%{?_with_flac:BuildRequires: libflac-devel libogg-devel liboggflac-devel}
%{?_with_speex:BuildRequires: libspeex-devel}
%else
%{?_enable_oggenc:%{?_with_flac:BuildRequires: libflac-devel libogg-devel liboggflac-devel}}
%endif
BuildRequires: rpm-build-licenses

%description
%name contains:
  %{?_enable_ogg123:- ogg123 - playback tool}
  %{?_enable_oggdec:- oggdec - decoder}
  %{?_enable_oggenc:- oggenc - encoder}
  %{?_enable_ogginfo:- ogginfo - informator}
  %{?_enable_vcut:- vcut - cut tool}
  %{?_enable_vorbiscomment:- vorbiscomment - tag editor}

%description -l uk_UA.CP1251
%name :
  %{?_enable_ogg123:- ogg123 -   }
  %{?_enable_oggdec:- oggdec - }
  %{?_enable_oggenc:- oggenc - }
  %{?_enable_ogginfo:- ogginfo - }
  %{?_enable_vcut:- vcut -   }
  %{?_enable_vorbiscomment:- vorbiscomment -  }

%description -l ru_RU.CP1251
%name :
  %{?_enable_ogg123:- ogg123 -   }
  %{?_enable_oggdec:- oggdec - }
  %{?_enable_oggenc:- oggenc - }
  %{?_enable_ogginfo:- ogginfo - }
  %{?_enable_vcut:- vcut -   }
  %{?_enable_vorbiscomment:- vorbiscomment -  }


%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%autoreconf
%configure \
    %{subst_with pic} \
    %{subst_enable rpath} \
    %{subst_enable static} \
%if_disabled testing
    --disable-aotest \
    --disable-curltest \
    --disable-oggtest \
    --disable-vorbistest \
%endif
    %{subst_enable ogg123} \
    %{subst_enable oggdec} \
    %{subst_enable oggenc} \
    %{subst_enable ogginfo} \
    %{subst_enable vcut} \
    %{subst_enable vorbiscomment} \
    %{subst_with flac} \
    %{subst_with speex}

%make_build


%install
%make_install DESTDIR=%buildroot install

%find_lang %name


%files -f %name.lang
%doc AUTHORS CHANGES README
%_bindir/*
%_man1dir/*


%changelog
* Sun Aug 10 2008 Led <led@altlinux.ru> 1.2.0-alt3
- fixed spec
- added %name-1.2.0-alt.patch

* Wed May 14 2008 Led <led@altlinux.ru> 1.2.0-alt2
- added vorbis-tools-1.2.0-sec.patch (fixed vulnerable speex code)
  (thanks icesik@ for link)

* Mon Mar 17 2008 Led <led@altlinux.ru> 1.2.0-alt1
- 1.2.0:
  + added remote control support in (ogg123)
  + limited support for chained Ogg bitstreams (oggdec)
  + support decoding of multiple files into a single one (oggdec)
  + -k, switch for Skeleton bitstream encoding (oggenc)
  + proper 5.1 channel mapping support (oggenc)
  + recognizes Skeleton, Dirac, FLAC and Kate bitstreams (ogginfo)
  + support for creation of long comments (vorbiscomment)
  + support for multiplexed Vorbis (vorbiscomment)
- removed (fixed in upstream):
  + %name-1.1.1-iconv.patch
  + %name-1.1.1+flac-1.1.3-1.patch
  + %name-1.1.1+flac-1.1.3-2.patch
  + %name-1.1.1+flac-1.1.3-3.patch
  + %name-1.1.1-curl4.patch
- updated %name-1.2.0-configure.patch
- updated BuildRequires

* Mon Mar 17 2008 Led <led@altlinux.ru> 1.1.1-alt7
- fixed %%description

* Thu Dec 27 2007 Led <led@altlinux.ru> 1.1.1-alt6
- fixed %%changelog

* Wed Dec 26 2007 Led <led@altlinux.ru> 1.1.1-alt5
- fixed build with automake-1.10

* Wed Mar 07 2007 Led <led@altlinux.ru> 1.1.1-alt4
- rebuild with libFLAC.so.8

* Tue Feb 06 2007 Led <led@altlinux.ru> 1.1.1-alt3.1
- fixed %%changelog

* Mon Feb 05 2007 Led <led@altlinux.ru> 1.1.1-alt3
- added %name-1.1.1+flac-1.1.3-[123].patch (from Gentoo)
- fixed build with flac and speex: %name-1.1.1-configure.patch
- added %name-1.1.1-curl4.patch (from NetBSD)
- cleaned up spec

* Mon Jul 24 2006 Led <led@altlinux.ru> 1.1.1-alt2
- cleaned up spec
- enabled FLAC

* Mon Jul 10 2006 Led <led@altlinux.ru> 1.1.1-alt1.1
- added vorbis-tools-1.1.1-iconv.patch

* Thu Jul 07 2005 Andrey Astafiev <andrei@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Sat Nov 22 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0update.1-alt1
- 1.0.1

* Mon Sep 15 2003 Andrey Astafiev <andrei@altlinux.ru> 1.0release-alt3
- Fixed to build with hasher.

* Thu Oct 31 2002 Rider <rider@altlinux.ru> 1.0release-alt2
- rebuild (gcc 3.2)

* Tue Jul 30 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0release-alt1
- 1.0
- some temprorary changes to avoid using Serial.

* Thu Jan 03 2002 Andrey Astafiev <andrei@altlinux.ru> 1.0rc3-alt1
- 1.0rc3

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.0rc2-alt2
- A bit more specfile cleanup.

* Thu Sep 27 2001 Andrey Astafiev <andrei@altlinux.ru> 1.0rc2-alt1
- spec cleanup.

* Sat Sep 22 2001 Michael Shigorin <mike@lic145.kiev.ua>
- built for ALTLinux.

* Sun Aug 12 2001 Greg Maxwell <greg@linuxpower.cx>
- updated for rc2.

* Sun Jun 17 2001 Jack Moffitt <jack@icecast.org>
- updated for rc1.
- added ogginfo.

* Mon Jan 22 2001 Jack Moffitt <jack@icecast.org>
- updated for prebeta4 builds.

* Sun Oct 29 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created.
